* Hirose et al. (2024):
* Arctic Warming through Interseasonal Feedback Effect
* Suppressed by Ice Sheets in Past Interglacials

* GrADS script to make fig 1 using netCDF files
* tested with GrADS version 2.2.1
* use in portrait mode

 'reinit'
 'set display color white'
 'c'

* blue                       red
 'set rgb 21 235 235 255' ; 'set rgb 31 255 255 150'
 'set rgb 22 185 185 255' ; 'set rgb 32 255 225 050'
 'set rgb 23 120 120 255' ; 'set rgb 33 255 150 000'
 'set rgb 24 060 060 255' ; 'set rgb 34 255 075 000'
 'set rgb 25 000 000 255' ; 'set rgb 35 255 000 000'
 'set rgb 26 000 000 180' ; 'set rgb 36 180 000 000'
 'set rgb 27 000 000 100' ; 'set rgb 37 100 000 000'

  x1.1=0.35 ; x2.1= 4.05 ; x1.2= 4.45 ; x2.2=8.15

  y1.1=7.90 ; y2.1=10.90 ; y3.1=10.75 ; y4.1=7.80 ; y5.1=y4.1-0.07
  y1.2=4.60 ; y2.2= 7.00 ; y3.2= 7.25 ; y4.2=4.10 ; y5.2=y4.2-0.07
  y1.3=0.10 ; y2.3= 3.20 ; y3.3= 3.50 ; y4.3=1.65

  nam.1='130ka'
  nam.2='125ka'

* plot map of T2 anomaly
 'sdfopen dat_1a.nc'
 'set grads off'
 'set grid off'
 'set gxout shaded'
 'set lat -90 90'
 'set map 1 1 1'
 'set xlabs 0`ao|60`ao`nE|120`ao`nE|180`ao|120`ao`nW|60`ao`nW|0`ao'
 'set ylabs 90`ao`nS|60`ao`nS|30`ao`nS|Eq|30`ao`nN|60`ao`nN|90`ao`nN'
 'set xlopts 1 1 0.08'
 'set ylopts 1 1 0.08'
 'set strsiz 0.12'
 'set string 1 c 2'

  i=1
  while(i<=2)
   'set parea 'x1.i' 'x2.i' 'y1.1' 'y2.1
   'set clevs -5 -4 -3 -2 -1 0 1 2 3 4 5'
   'set ccols 26 25 24 23 22 21 31 32 33 34 35 36'
   'd tas'nam.i
    xc=(x1.i+x2.i)/2
   'draw string 'xc' 'y3.1' 'nam.i' annual mean temp. anomaly'
    i=i+1
  endwhile

 'set parea 0.0 8.5 1.0 11.0'
 'cbarn.gs 0.8 0 4.25 'y4.1
 'close 1'

* plot hovmoller diagram of T2 anomaly
 'sdfopen dat_1b.nc'
 'set lat -90 90'
 'set t 1 12'
 'set xyrev on'
 'set xlabs J|F|M|A|M|J|J|A|S|O|N|D'
 'set ylabs 90`ao`nS|60`ao`nS|30`ao`nS|Eq|30`ao`nN|60`ao`nN|90`ao`nN'
 'set strsiz 0.12'
 'set string 1 c 2'
  i=1
  while(i<=2)
   'set parea 'x1.i' 'x2.i' 'y1.2' 'y2.2
   'set clevs -5 -4 -3 -2 -1 0 1 2 3 4 5'
   'set ccols 26 25 24 23 22 21 31 32 33 34 35 36'
   'd tas'nam.i
    xc=(x1.i+x2.i)/2
   'draw string 'xc' 'y3.2' 'nam.i' zonal temperature anomaly'
    i=i+1
  endwhile

 'set parea 0.0 8.5 1.0 11.0'
 'cbarn.gs 0.8 0 4.25 'y4.2
 'close 1'

* plot map of september sea ice concentration
 'sdfopen dat_1c.nc'
 'set frame circle'
 'set mproj nps'
 'set map 1 1 1'
 'set lat 60 90'
 'set grid on'
 'set xyrev off'

 'set strsiz 0.12'
 'set string 1 c 2'
  i=1
  while(i<=2)
   'set parea 'x1.i' 'x2.i' 'y1.3' 'y2.3
   'set clevs 0.1 0.2 0.3 0.5 0.7 0.9'
   'set ccols 15 26 25 24 23 22 21'
   'd siconc'nam.i
    xc=(x1.i+x2.i)/2
   'draw string 'xc' 'y3.3' 'nam.i' sea ice concentration for Sep'
    i=i+1
  endwhile

 'set parea 0.0 8.5 0.0 11.0'
 'cbarn.gs 0.65 1 4.25 'y4.3
 'close 1'

* other labels
 'set strsiz 0.15'
 'set string 1 l 3'
 'draw string 0.02 'y3.1' (a)'
 'draw string 0.02 'y3.2' (b)'
 'draw string 0.02 'y3.3' (c)'
 'draw string 7.00 'y5.1' (`ao`nC)'
 'draw string 7.00 'y5.2' (`ao`nC)'

 'gxprint fig_1.eps'
