* Hirose et al. (2024):
* Arctic Warming through Interseasonal Feedback Effect
* Suppressed by Ice Sheets in Past Interglacials

* GrADS script to make fig S1 using netCDF files
* tested with GrADS version 2.2.1
* use in portrait mode

 'reinit'
 'set display color white'
 'c'

* blue                       red
 'set rgb 21 235 235 255' ; 'set rgb 31 255 255 150'
 'set rgb 22 185 185 255' ; 'set rgb 32 255 225 050'
 'set rgb 23 120 120 255' ; 'set rgb 33 255 150 000'
 'set rgb 24 060 060 255' ; 'set rgb 34 255 075 000'
 'set rgb 25 000 000 255' ; 'set rgb 35 255 000 000'
 'set rgb 26 000 000 180' ; 'set rgb 36 180 000 000'
 'set rgb 27 000 000 100' ; 'set rgb 37 100 000 000'

  x1.1=1.50 ; x2.1=4.00 ; x3.1=1.15
  x1.2=5.10 ; x2.2=6.80 ; x3.2=4.30

  y1.1=9.00 ; y2.1=10.50 ; y3=10.8
  y1.2=7.25 ; y2.2= 8.75
  y1.3=5.50 ; y2.3= 7.00
  y1.4=3.75 ; y2.4= 5.25
  y1.5=2.00 ; y2.5= 3.50
  y1.6=0.25 ; y2.6= 1.75

  nam.1='005ka'
  nam.2='010ka'
  nam.3='125ka'
  nam.4='130ka'
  nam.5='410ka'
  nam.6='415ka'

* plot map of insolation anomaly
 'sdfopen dat_s1a.nc'
 'set grads off'
 'set grid off'
 'set gxout shaded'
 'set xlopts 1 1 0.08'
 'set ylopts 1 1 0.08'
 'set strsiz 0.15'
 'set string 1 c 2'

  i=1
  while(i<=6)
   'set parea 'x1.1' 'x2.1' 'y1.i' 'y2.i
   'set xyrev on'
   'set xlabs J|F|M|A|M|J|J|A|S|O|N|D'
   'set ylabs 90`ao`nS|60`ao`nS|30`ao`nS|Eq|30`ao`nN|60`ao`nN|90`ao`nN'
   'set clevs -70 -50 -30 -20 -10 -5 0 5 10 20 30 50 70'
   'set ccols 27 26 25 24 23 22 21 31 32 33 34 35 36 37'
   'set t 1 12'
   'set lat -90 90'
   'd rsdt'nam.i
    xc=(x2.1+x1.2)/2
    yc=(y1.i+y2.i)/2
   'draw string 'xc' 'yc' 'nam.i
    i=i+1
  endwhile
 'close 1'
  xc=(x1.1+x2.1)/2
 'draw string 'xc' 'y3' insolation anomaly'

 'set parea 0.0 8.5 1.0 11.0'
 'cbarn.gs 0.8 1 0.45 5.375'

* plot map of ice sheet thickness
 'sdfopen dat_s1b.nc'
 'set strsiz 0.15'
 'set string 1 c 2'
 'set xyrev off'
 'set mproj nps'
 'set frame circle'
 'set grid on 1 15 1'
 'set map 1 1 1'
  i=1
  while(i<=6)
    y1.i = y1.i - 0.1
    y2.i = y2.i + 0.1
   'set parea 'x1.2' 'x2.2' 'y1.i' 'y2.i
   'set lat 40 90'
   'set gxout shaded'
   'set clevs 1 1000 1500 2000 2500 3000'
   'set ccols 0 21 22 23 24 25 26'
   'd lithick'nam.i
    i=i+1
  endwhile
 'close 1'
  xc=(x1.2+x2.2)/2
 'draw string 'xc' 'y3' ice sheet thickness'

 'set parea 0.0 8.5 0.0 11.0'
 'cbarn.gs 1.0 1 7.2 5.375'

* other labels
 'draw string 0.35 8.5 (W/m`a2`n)'
 'draw string 7.40 7.4 (m)'
 'set strsiz 0.15'
 'set string 1 l 3'
 'draw string 'x3.1' 'y3' (a)'
 'draw string 'x3.2' 'y3' (b)'

 'gxprint fig_s1.eps'
