* Hirose et al. (2024):
* Arctic Warming through Interseasonal Feedback Effect
* Suppressed by Ice Sheets in Past Interglacials

* GrADS script to make fig S3 using netCDF files
* tested with GrADS version 2.2.1
* use in landscape mode

 'reinit'
 'set display color white'
 'c'

* blue                       red
 'set rgb 21 235 235 255' ; 'set rgb 31 255 255 150'
 'set rgb 22 185 185 255' ; 'set rgb 32 255 225 050'
 'set rgb 23 120 120 255' ; 'set rgb 33 255 150 000'
 'set rgb 24 060 060 255' ; 'set rgb 34 255 075 000'
 'set rgb 25 000 000 255' ; 'set rgb 35 255 000 000'
 'set rgb 26 000 000 180' ; 'set rgb 36 180 000 000'
 'set rgb 27 000 000 100' ; 'set rgb 37 100 000 000'

  x1.1=0.80 ; x2.1= 2.30
  x1.2=2.50 ; x2.2= 4.00
  x1.3=4.20 ; x2.3= 5.70
  x1.4=5.90 ; x2.4= 7.40
  x1.5=7.60 ; x2.5= 9.10
  x1.6=9.30 ; x2.6=10.80

  y1.1=6.00 ; y2.1= 7.60
  y1.2=4.30 ; y2.2= 5.90
  y1.3=2.60 ; y2.3= 4.20
  y1.4=0.90 ; y2.4= 2.50

  snam.1='DJF' ; tim.1=4
  snam.2='MAM' ; tim.2=1
  snam.3='JJA' ; tim.3=2
  snam.4='SON' ; tim.4=3

  nam.1='415ka' ; bnam.1='415ka'
  nam.2='410ka' ; bnam.2='410ka'
  nam.3='130ka' ; bnam.3='130ka'
  nam.4='125ka' ; bnam.4='125ka'
  nam.5='010ka' ; bnam.5= '10ka'
  nam.6='005ka' ; bnam.6=  '5ka'

* plot seasonal T2 anomaly:
 'set string 1 c'
 'set strsiz 0.25'
  xc=(x2.3+x1.4)/2
 'draw string 'xc' 8.3 Surface air temperature anomaly'
 'set strsiz 0.12'
 'draw string 10.5 0.3 (`ao`nC)'
 'sdfopen dat_s3.nc'
 'set lat 30 90'
 'set grads off'
 'set grid off'
 'set gxout shaded'
 'set mproj nps'
 'set map 1 1 1'
 'set xlabs off'
 'set ylabs off'
  i=1
  while(i<=6)
   'set string 1 c'
    xc=(x1.i+x2.i)/2
   'draw string 'xc' 7.8 'bnam.i' - PI'
    sea=1
    while(sea<=4)
     'set t 'tim.sea
     'set parea 'x1.i' 'x2.i' 'y1.sea' 'y2.sea
     'set clevs -5 -4 -3 -2 -1 0 1 2 3 4 5'
     'set ccols 26 25 24 23 22 21 31 32 33 34 35 36'
     'd tas'nam.i
      if(i=1)
       'set string 1 r'
        yc=(y1.sea + y2.sea)/2
       'draw string 0.6 'yc' 'snam.sea
      endif
      sea=sea+1
    endwhile
    i=i+1
  endwhile
 'close 1'

  xc=(x2.3+x1.4)/2
  yc=y1.4 - 0.5
 'set parea 0.0 11.0 0.0 8.5'
 'cbarn.gs 1.0 0 'xc' 'yc

 'gxprint fig_s3.eps'
