* Hirose et al. (2024):
* Arctic Warming through Interseasonal Feedback Effect
* Suppressed by Ice Sheets in Past Interglacials

* GrADS script to make fig S4 using netCDF files
* tested with GrADS version 2.2.1
* use in portrait mode

 'reinit'
 'set display color white'
 'c'

* blue                       red
 'set rgb 21 235 235 255' ; 'set rgb 31 255 255 150'
 'set rgb 22 185 185 255' ; 'set rgb 32 255 225 050'
 'set rgb 23 120 120 255' ; 'set rgb 33 255 150 000'
 'set rgb 24 060 060 255' ; 'set rgb 34 255 075 000'
 'set rgb 25 000 000 255' ; 'set rgb 35 255 000 000'
 'set rgb 26 000 000 180' ; 'set rgb 36 180 000 000'
 'set rgb 27 000 000 100' ; 'set rgb 37 100 000 000'

  x1.1=2.00 ; x2.1=4.35
  x1.2=4.15 ; x2.2=6.50

  vname.1='alb'    ; tit.1='Albedo'              ; y1.1=9.20 ; y2.1=10.35 ; y3=10.8
  vname.2='albcsw' ; tit.2='Albedo * clear SW'   ; y1.2=7.75 ; y2.2= 8.90
  vname.3='clrsw'  ; tit.3='Clear SW'            ; y1.3=6.30 ; y2.3= 7.45
  vname.4='clrlw'  ; tit.4='Clear LW'            ; y1.4=4.85 ; y2.4= 6.00
  vname.5='sens'   ; tit.5='Sensible heat'       ; y1.5=3.40 ; y2.5= 4.55
  vname.6='evap'   ; tit.6='Evaporation'         ; y1.6=1.95 ; y2.6= 3.10
  vname.7='surf'   ; tit.7='Net surface energy'  ; y1.7=0.50 ; y2.7= 1.65

 'sdfopen dat_s4.nc'
 'set grads off'
 'set grid off'
 'set map 1 1 1'
 'set gxout shaded'
 'set xlab off'
 'set ylab off'
 'set lat -90 90'
  k=1
  while(k<=2)
    if(k=1) ; ka=130 ; else ; ka=125 ; endif
   'set string 1 c'
    xc=(x1.k+x2.k)/2
   'draw string 'xc' 'y3' MJJ 'ka'ka'
    var=1
    while(var<=7)
     'set parea 'x1.k' 'x2.k' 'y1.var' 'y2.var
     'set gxout shaded'
     'set clevs -18 -15 -12 -9 -6 -3 0 3 6 9 12 15 18'
     'set ccols 27 26 25 24 23 22 21 31 32 33 34 35 36 37'
      vnam=vname.var''ka'ka'
     'd 'vnam
      if(k=2)
        xc=(x2.1+x1.2)/2
        yc=y2.var+0.14
       'draw string 'xc' 'yc' 'tit.var' contribution'
      endif
      var=var+1
    endwhile
    k=k+1
  endwhile
 'close 1'

 'set parea 0.0 8.5 0.0 11.0'
  xc=(x2.1+x1.2)/2
 'cbarn.gs 0.6 0 'xc' 0.2'
 'draw string  6.4 0.2 (`ao`nC)'

 'gxprint fig_s4.eps'
