* Hirose et al. (2024):
* Arctic Warming through Interseasonal Feedback Effect
* Suppressed by Ice Sheets in Past Interglacials

* GrADS script to make fig S5 using netCDF files
* tested with GrADS version 2.2.1
* use in landscape mode

 'reinit'
 'set display color white'
 'c'

* define new colours
 'set rgb 21 200 200 200'
 'set rgb 22 150 230 230'
 'set rgb 23 060 180 115'
 'set rgb 24 200 100 030'
 'set rgb 25 000 100 000'

  cc.1 =21 ; cl.1 = 1 ; type.1 ='Ice'
  cc.2 =22 ; cl.2 = 9 ; type.2 ='Tundra'
  cc.3 =11 ; cl.3 = 6 ; type.3 ='Boreal deciduous forest'
  cc.4 =23 ; cl.4 = 5 ; type.4 ='Boreal conifer forest'
  cc.5 =24 ; cl.5 = 8 ; type.5 ='Shrubs and bare ground'
  cc.6 =12 ; cl.6 =10 ; type.6 ='Grassland'
  cc.7 = 7 ; cl.7 = 7 ; type.7 ='Savanna'
  cc.8 =10 ; cl.8 = 4 ; type.8 ='Temperate mixed forest'
  cc.9 = 3 ; cl.9 = 3 ; type.9 ='Tropical deciduous forest'
  cc.10=25 ; cl.10= 2 ; type.10='Tropical evergreen forest'

  x1=0.50 ; x2=6.50 ; x3=0.55 ; x4=6.80

  y1.1=3.70 ; y2.1= 5.30
  y1.2=2.00 ; y2.2= 3.60
  y1.3=0.30 ; y2.3= 1.90

  nam.1='pi'    ; bignam.1='PI'
  nam.2='125ka' ; bignam.2='125ka'
  nam.3='130ka' ; bignam.3='130ka'

* plot map of vegetation
 'sdfopen dat_s5.nc'
 'set grads off'
 'set grid off'
 'set mpdraw off'
 'set gxout fgrid'
 'set xlopts 1 1 0.1'
 'set ylopts 1 1 0.1'
 'set strsiz 0.17'

  i=1
  while(i<=3)
   'set parea 'x1' 'x2' 'y1.i' 'y2.i
   'set xlabs 180`ao|120`ao`nW|60`ao`nW|0`ao|60`ao`nE|120`ao`nE|180`ao'
   'set ylabs 40`ao`nN|50`ao`nN|60`ao`nN|70`ao`nN|80`ao`nN|90`ao`nN'
    fgval=cl.1' 'cc.1
    veg=2
    while(veg<=10)
      fgval=fgval' 'cl.veg' 'cc.veg
      veg=veg+1
    endwhile
   'set fgvals 'fgval

   'set clevs -70 -50 -30 -20 -10 -5 0 5 10 20 30 50 70'
   'set ccols 27 26 25 24 23 22 21 31 32 33 34 35 36 37'
   'set lat 40 90'
   'set lon -180 180'
   'd veg'nam.i
    yc=y2.i-0.6
   'draw string 'x3' 'yc' 'bignam.i
    i=i+1
  endwhile
 'close 1'

* draw key
 'set string 1 l'
  x5=x4+0.4
  x6=x4+0.5
  veg=1
  while(veg<=10)
    yb=5.50-(veg-1)*0.52
    ya=yb-0.4
    yc=0.55*ya+0.45*yb
   'set line 'cc.veg
   'draw recf 'x4' 'ya' 'x5' 'yb
   'set line 1'
   'draw rec  'x4' 'ya' 'x5' 'yb
   'draw string 'x6' 'yc' 'type.veg
    veg=veg+1
  endwhile
 'set strsiz 0.25'
 'set string 1 c'
  x7=(x1+x2)/2
 'draw string 'x7' 5.40 Vegetation'

 'gxprint fig_s5.eps'
