* Hirose et al. (2024):
* Arctic Warming through Interseasonal Feedback Effect
* Suppressed by Ice Sheets in Past Interglacials

* GrADS script to make fig S7 using netCDF files
* tested with GrADS version 2.2.1
* use in portrait mode

 'reinit'
 'set display color white'
 'c'

* blue                       red
 'set rgb 21 235 235 255' ; 'set rgb 31 255 255 150'
 'set rgb 22 185 185 255' ; 'set rgb 32 255 225 050'
 'set rgb 23 120 120 255' ; 'set rgb 33 255 150 000'
 'set rgb 24 060 060 255' ; 'set rgb 34 255 075 000'
 'set rgb 25 000 000 255' ; 'set rgb 35 255 000 000'
 'set rgb 26 000 000 180' ; 'set rgb 36 180 000 000'
 'set rgb 27 000 000 100' ; 'set rgb 37 100 000 000'

  nam.1='130ka'
  nam.2='125ka'

  y1.1=8.00 ; y2.1=10.50 ; y3.1=0.2+y2.1
  y1.2=4.80 ; y2.2= 7.30 ; y3.2=0.2+y2.2 ; y4.2=(y2.1+y1.2)/2
  y1.3=0.20 ; y2.3= 4.10 ; y3.3=0.2+y2.3 ; y4.3=(y1.3+y2.3)/2

 'sdfopen dat_s7.nc'
 'set strsiz 0.15'
 'set string 1 c'
 'set grads off'
 'set grid off'
 'set gxout shaded'
 'set map 1 1 1'
 'set lat -90 90'
  i=1
  while(i<=2)
   'set parea 0.0 8.5 'y1.i' 'y2.i
   'set clevs -120 -96 -72 -48 -24 0 24 48 72 96 120'
   'set ccols 26 25 24 23 22 21 31 32 33 34 35 36'
   'd divaet'nam.i
   'draw string 4.25 'y3.i' 'nam.i' atmospheric energy transport'
    i=i+1
  endwhile
 'cbarn.gs 0.8 1 7.0 'y4.2

 'set strsiz 0.15'
 'set string 1 c'
 'set parea 0.0 8.5 'y1.3' 'y2.3
 'set mproj nps'
 'set lat 30 90'
 'set clevs -24 -16 -8 0 8 16 24'
 'set ccols 24 23 22 21 31 32 33 34'
 'd divaet130ka-divaet125ka'
 'draw string 4.25 'y3.3' 130ka-125ka anomaly'
 'cbarn.gs 0.8 1 7.0 'y4.3

* label (a) and (b)
 'set strsiz 0.15'
 'set string 1 c'
 'draw string 1.5 'y3.1' (a)'
 'draw string 1.5 'y3.3' (b)'

* plot energy transport data
 'set mpdraw off'
 'set mproj latlon'
 'set lat -90 90'
 'set gxout vector'
 'set arrlab off'
  i=1
  while(i<=2)
   'set parea 0.0 8.5 'y1.i' 'y2.i
   'set ccolor 1'
   'set arrscl 0.1 2e+13'
   'set arrowhead -0.2'
   'set cthick 1'
   'd skip(xaet'nam.i',3,3);yaet'nam.i')'
    i=i+1
  endwhile
 'set parea 0.0 8.5 'y1.3' 'y2.3
 'set mproj nps'
 'set lat 30 90'
 'set ccolor 1'
 'set arrscl 0.1 1e+12'
 'set arrowhead -0.2'
 'set cthick 1'
 'd skip(xaet130ka-xaet125ka,3,3);yaet130ka-yaet125ka)'

* draw other labels
 'set strsiz 0.10'
 'set string 1 c'
 'set line 1 1 1'

  xl=7.0-0.1
  xr=7.0+0.1

  yt=y1.2+0.2
  yb=y1.2
 'draw line 'xl' 'yt' 'xr' 'yt
  xc=7.0+0.05
  yc=yt+0.03 ; 'draw line 'xc' 'yc' 'xr' 'yt
  yc=yt-0.03 ; 'draw line 'xc' 'yc' 'xr' 'yt
 'draw string 7.0 'yb' 4x10`a13`nW/m'

  yt=y1.3+0.2
  yb=y1.3
 'draw line 'xl' 'yt' 'xr' 'yt
  xc=7.0+0.05
  yc=yt+0.03 ; 'draw line 'xc' 'yc' 'xr' 'yt
  yc=yt-0.03 ; 'draw line 'xc' 'yc' 'xr' 'yt
 'draw string 7.0 'yb' 2x10`a12`nW/m'

 'set string 1 l'
  xl=7.0+0.1
  yt=y2.1-0.2
 'draw string 'xl' 'yt' (W/m`a2`n)'
  yt=y2.3-0.2
 'draw string 'xl' 'yt' (W/m`a2`n)'

 'gxprint fig_s7.eps'
 'close 1'
